%define pkg_name        Lingua-ManagementSpeak
%define pkg_version     0.01
%define rpm_pkg_version 0.01
%define rpm_pkg_release 2.n0i.2

Summary:       Tool to build managerial-sounding documents
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GR/GRYPHON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module generates grammatically correct, managerial-sounding text
and full-length documents that mean absolutely nothing. It can output
sentences, paragraphs, and whole documents with embedded structure.
The goal is to easily provide "filler" or "lorem ipsen" content that has
the potential to pass as real.
This module does for geeks what "lorem ipsen" does for designers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.01-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
